// Core component styles
const coreStyles = {
    container: {
        width: 'fit-content',
    },

    primary: {
        borderColor: '#006e96',
        backgroundColor: '#006e96',
    },

    secondary: {
        borderColor: '#006e96',
        backgroundColor: '#fff',
    },
};

/**
* Helper method to get the styles for the component
* @param {Object} contextStyles - Context styles for the Button Component
*/
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        primary: {
            ...coreStyles.primary,
            ...contextStyles.primary,
        },

        secondary: {
            ...coreStyles.secondary,
            ...contextStyles.secondary,
        },
    };
};

export default getStyles;
